Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.editor
Class TextPaneAppender

    java.lang.Object
      |
      +--org.apache.log4j.AppenderSkeleton
            |
            +--biouml.editor.TextPaneAppender

public class TextPaneAppender
extends AppenderSkeleton

Fields inherited from class org.apache.log4j.AppenderSkeleton
`THRESHOLD_OPTION`

Constructor Summary
`TextPaneAppender(Layout layout, String name)`

Method Summary
`void` | `append(LoggingEvent event)`
`void` | `close()`
`JPanel` | `getLogTextPanel()`
`String[]` | `getOptionStrings()`
`boolean` | `requiresLayout()`
`void` | `setName(String name)`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, finalize, getErrorHandler, getFirstFilter, getName, isAsSevereAsThreshold, doAppend, setErrorHandler, setLayout, setOption, setThreshold`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextPaneAppender

    public TextPaneAppender(Layout layout, String name)

Method Detail

### append

    public void append(LoggingEvent event)

### close

    public void close()

### getLogTextPanel

    public JPanel getLogTextPanel()

### getOptionStrings

    public String[] getOptionStrings()

### requiresLayout

    public boolean requiresLayout()

### setName

    public void setName(String name)

Association Links

to Class org.apache.log4j.helpers.TracerPrintWriter

to Class java.io.StringWriter

to Class org.apache.log4j.helpers.QuietWriter

to Class biouml.editor.LogTextPanel

to Class biouml.editor.TextPaneAppender.LogPublishingThread

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM